# Selfoss

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/selfoss/status.svg)](https://drone.autonomic.zone/coop-cloud/selfoss)

[Selfoss] RSS reader using Coöp Cloud ♥

<!-- metadata -->
* **Category**: Apps
* **Status**: ❸🍎
* **Image**: [`akito13/selfoss`](https://hub.docker.com/r/akito13/selfoss), ❸🍎, 3rd-party
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: No
* **Tests**: ❸🍎
* **SSO**: N/A
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`coop-cloud/traefik`][cc-traefik]
3. `abra app new selfoss --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Open the configured domain in your browser to finish set-up

[Selfoss]: https://www.selfoss.aditu.de/
[abra]: https://git.autonomic.zone/coop-cloud/abra
[cc-traefik]: https://git.autonomic.zone/coop-cloud/traefik
